cassandra-client-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Eric Evans <eev...@rackspace.com>
Subject RE: Ruby Avro bindings
Date Tue, 07 Sep 2010 14:32:06 GMT

See inline for responses...

On Mon, 2010-09-06 at 19:19 -0500, Stu Hood wrote:
> I believe 0.7-beta1 uses a pre-release of Avro 1.4 (in release
> candidate stage now), which adds some features that Cassandra is
> using. Would you mind giving that a try?

Actually, 0.7.0 beta1 is using an avro based on 1.3.3, while trunk is
using the 1.4.0 release candidate.

> -----Original Message-----
> From: "Christian van der Leeden"
> <christian.vanderleeden@googlemail.com>
> Sent: Monday, September 6, 2010 6:36pm
> To: client-dev@cassandra.apache.org
> Subject: Ruby Avro bindings
> 
> Hi,
> 
>         I'm trying to talk to cassandra 0.7beta1 via avro.
> I get a parse error when reading the cassandra.avpr (found in src
> distribution of cassandra)
> using avro 1.3.3 gem

Make sure you're using `interface/avro/cassandra.avpr' and not
`src/cassandra.avpr'.  This is confusing but has been fixed in trunk,
FWIW.

> http://pastie.org/1142626
> 
> It says: 
> # /usr/local/ruby18/lib/ruby/gems/1.8/gems/avro-1.3.3/lib/avro/schema.rb:66:in `real_parse':
No "type" property: messagesnamespaceorg.apache.c.....
> 
> Do I need to pre generate somethings? Thanks for a pointer.. 

I'm not familiar with Ruby, so you might want to take this to
user@avro.apache.org.  You could also try upgrading to Cassandra trunk
and the upcoming Avro 1.4.0
(http://people.apache.org/~cutting/avro-1.4.0-rc4/ruby/), and see if
that helps (it would help us either way).


-- 
Eric Evans
eevans@rackspace.com


Mime
View raw message